Author Topic: Error when run CB on Ubuntu  (Read 1997 times)

thomasxiao

  • Guest
Error when run CB on Ubuntu
« on: August 10, 2007, 08:02:59 am »
codeblocks: error while loading shared libraries: libwx_gtk2u_aui-2.8.so.0: cannot open shared object file: No such file or directory

but I have wx2.8.4 installed!
[email protected]:/usr/bin$ wx-config --version
2.8.4

in the /usr/locla/bin
these are wx lib2.8.4
i  have libwx_gtk2_aui-2.8.so.0     not   ibwx_gtk2u_aui-2.8.so.0

so what can I do?

Offline afb

  • Developer
  • Lives here!
  • *****
  • Posts: 884
Re: Error when run CB on Ubuntu
« Reply #1 on: August 10, 2007, 08:51:12 am »
Recompile wxWidgets with --enable-unicode (the "u" above),
or rebuild Code::Blocks against your installed ANSI wxWidgets.